/***************************************************************************
                         bitplane.h  -  description
                             -------------------
   Stuff needed for handling BITPLANEs.
                             -------------------
    begin                : Mon Jun 12 2006
    copyright            : (C) 2006 by Dennis Lew
    email                : dennis_L76@yahoo.ca
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
#ifndef __BITPLANE_H__
#define __BITPLANE_H__

#include "common/typedefs.h"
#include "SEQ_LAYER.h"


#define VC1_MAX_FRAME_WID     1280
#define VC1_MAX_FRAME_HGT      768
#define VC1_BITPLANE_SIZE     ((VC1_MAX_FRAME_WID*VC1_MAX_FRAME_HGT)/(8*16*16))
#define VC1_BITPLANE_MODE_RAW 0x0001

#ifdef __cplusplus
extern "C" {
#endif

/* Read the BITPLANE data.
      INPUT: seq - Pointer to a SEQ_LAYER structure.
             bp  - Pointer to the BITPLANE.
      RETURNS: non-zero value when entire BITPLANE is complete. */
u32  VC1_VIDEO_read_BITPLANE(SEQ_LAYER *seq, u8 *bp);

#ifdef __cplusplus
};
#endif

#endif
